#pragma once
#include "afxwin.h"


// CSettingPatchInfo 대화 상자입니다.

class CSettingPatchInfo : public CDialog
{
    DECLARE_DYNAMIC(CSettingPatchInfo)

public:
    CSettingPatchInfo(CWnd* pParent = NULL);   // 표준 생성자입니다.
    virtual ~CSettingPatchInfo();

// 대화 상자 데이터입니다.
    enum { IDD = IDD_PATCH_INFO };

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 지원입니다.

    DECLARE_MESSAGE_MAP()

public:

    bool CheckPatchInfo();    // 버전명, 선택한 셋업 파일 이름 등이 유효한가 여부 리턴
    
    const CString& GetSetupFileName() const { return m_szSetupFileName; }
    const CString& GetSetupName() const { return m_szSetupName;     }
    LPCTSTR GetExtension() const { return _T(".ini"); }

    DWORD GetPatchVersion()   const { return m_dwPatchVersion;   }
    bool  IsSelectedNewFile() const { return m_bSelectedNewFile; }

    virtual BOOL OnInitDialog();
    virtual void OnOK();

private:

    CComboBox   m_cbSettingOptFile;
    CString     m_szSetupFileName;
    CString     m_szSetupName;
    DWORD       m_dwPatchVersion;
    bool        m_bSelectedNewFile;

    afx_msg void OnCbnSelchangeCbSelOption();
};
